[android-components](../../index.md) / [mozilla.components.service.glean.private](../index.md) / [TimeUnit](./index.md)

# TimeUnit

`enum class TimeUnit` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/glean/src/main/java/mozilla/components/service/glean/private/TimeUnit.kt#L11)

Enumeration of different resolutions supported by
the Timespan and TimingDistribution metric types.

### Enum Values

| Name | Summary |
|---|---|
| [Nanosecond](-nanosecond.md) |  |
| [Microsecond](-microsecond.md) |  |
| [Millisecond](-millisecond.md) |  |
| [Second](-second.md) |  |
| [Minute](-minute.md) |  |
| [Hour](-hour.md) |  |
| [Day](-day.md) |  |
